{
  "type": "excalidraw",
  "version": 2,
  "source": "https://marketplace.visualstudio.com/items?itemName=pomdtr.excalidraw-editor",
  "elements": [
    {
      "id": "3V99nHnJdrtTzybnpAFc1",
      "type": "rectangle",
      "x": 79.79761904761904,
      "y": 302.5416666666663,
      "width": 495.8333333333332,
      "height": 763.3333333333336,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#40c057",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a0",
      "roundness": {
        "type": 3
      },
      "seed": 1791479626,
      "version": 166,
      "versionNonce": 745244554,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098252159,
      "link": null,
      "locked": false
    },
    {
      "id": "V_tcY4rqUAnw8ygNA2fAW",
      "type": "rectangle",
      "x": 152.90873015872967,
      "y": 916.5138888888894,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a1",
      "roundness": {
        "type": 3
      },
      "seed": 610489866,
      "version": 194,
      "versionNonce": 1201278486,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "gVA5cC8LDcmzEny6hRfMR",
          "type": "text"
        },
        {
          "id": "jqUdkS10iVLuVqEOB5o2Q",
          "type": "arrow"
        }
      ],
      "updated": 1762098252159,
      "link": null,
      "locked": false
    },
    {
      "id": "gVA5cC8LDcmzEny6hRfMR",
      "type": "text",
      "x": 290.86771453372967,
      "y": 953.0138888888894,
      "width": 71.58203125,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a2",
      "roundness": null,
      "seed": 375391434,
      "version": 164,
      "versionNonce": 37585674,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098252177,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "V_tcY4rqUAnw8ygNA2fAW",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "5qvhimBGNAS0dObYhJl01",
      "type": "rectangle",
      "x": 152.90873015872967,
      "y": 1119.5138888888894,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#f08c00",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a3",
      "roundness": {
        "type": 3
      },
      "seed": 1784208266,
      "version": 312,
      "versionNonce": 345758550,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "HcQoAD2y2hKBmlJB40jLh",
          "type": "text"
        },
        {
          "id": "jqUdkS10iVLuVqEOB5o2Q",
          "type": "arrow"
        },
        {
          "id": "A-Vu3LNDMSBktdCx2n7y9",
          "type": "arrow"
        }
      ],
      "updated": 1762098252159,
      "link": null,
      "locked": false
    },
    {
      "id": "HcQoAD2y2hKBmlJB40jLh",
      "type": "text",
      "x": 281.39505828372967,
      "y": 1156.0138888888894,
      "width": 90.52734375,
      "height": 25,
      "angle": 0,
      "strokeColor": "#f08c00",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a4",
      "roundness": null,
      "seed": 1586027082,
      "version": 292,
      "versionNonce": 1919717834,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098252177,
      "link": null,
      "locked": false,
      "text": "Embedder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "5qvhimBGNAS0dObYhJl01",
      "originalText": "Embedder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "vMR4rApxvre2_D_4ZrXsJ",
      "type": "ellipse",
      "x": 282.15872987301566,
      "y": 1305.5138888888894,
      "width": 89,
      "height": 89,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#a5d8ff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a5",
      "roundness": {
        "type": 2
      },
      "seed": 835387658,
      "version": 166,
      "versionNonce": 309461142,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098252159,
      "link": null,
      "locked": false
    },
    {
      "id": "A-Vu3LNDMSBktdCx2n7y9",
      "type": "arrow",
      "x": 326.55872987301564,
      "y": 1300.5138888888894,
      "width": 2.857140088963206e-7,
      "height": 78,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a6",
      "roundness": null,
      "seed": 261771210,
      "version": 318,
      "versionNonce": 102529994,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098252159,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          2.857140088963206e-7,
          -78
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "5qvhimBGNAS0dObYhJl01",
        "fixedPoint": [
          0.4997122302158273,
          1.0510204081632657
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "MK6xulq23ObEM_MIU9Vjc",
      "type": "rectangle",
      "x": 152.90873015872967,
      "y": 686.5138888888894,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a7",
      "roundness": {
        "type": 3
      },
      "seed": 2081539722,
      "version": 219,
      "versionNonce": 1423015382,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "sHOeCs76tddu0n4G-3uVn",
          "type": "text"
        }
      ],
      "updated": 1762098252159,
      "link": null,
      "locked": false
    },
    {
      "id": "sHOeCs76tddu0n4G-3uVn",
      "type": "text",
      "x": 290.86771453372967,
      "y": 723.0138888888894,
      "width": 71.58203125,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a8",
      "roundness": null,
      "seed": 1072457034,
      "version": 201,
      "versionNonce": 256624778,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098252184,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "MK6xulq23ObEM_MIU9Vjc",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "tmZNSJ9fzZDNOSlV1BJz9",
      "type": "rectangle",
      "x": 152.90873015872967,
      "y": 571.5138888888894,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a9",
      "roundness": {
        "type": 3
      },
      "seed": 1418013706,
      "version": 255,
      "versionNonce": 818893590,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "VVGSx20iCbwW3-ovyXdyx",
          "type": "text"
        }
      ],
      "updated": 1762098252159,
      "link": null,
      "locked": false
    },
    {
      "id": "VVGSx20iCbwW3-ovyXdyx",
      "type": "text",
      "x": 290.86771453372967,
      "y": 608.0138888888894,
      "width": 71.58203125,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aA",
      "roundness": null,
      "seed": 1339497162,
      "version": 238,
      "versionNonce": 546711370,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098252185,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "tmZNSJ9fzZDNOSlV1BJz9",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "9VA4SbTcDOKWPGiaTjNPb",
      "type": "rectangle",
      "x": 152.90873015872967,
      "y": 456.51388888888937,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aB",
      "roundness": {
        "type": 3
      },
      "seed": 1350381962,
      "version": 236,
      "versionNonce": 283148374,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "ZS3BDSZFutup5AjHo2uYh",
          "type": "text"
        }
      ],
      "updated": 1762098252159,
      "link": null,
      "locked": false
    },
    {
      "id": "ZS3BDSZFutup5AjHo2uYh",
      "type": "text",
      "x": 290.86771453372967,
      "y": 493.01388888888937,
      "width": 71.58203125,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aC",
      "roundness": null,
      "seed": 1773301834,
      "version": 219,
      "versionNonce": 1051110922,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098252185,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "9VA4SbTcDOKWPGiaTjNPb",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "QiqaY37y5UI7m8GKZbOJz",
      "type": "rectangle",
      "x": 152.90873015872967,
      "y": 341.51388888888937,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aD",
      "roundness": {
        "type": 3
      },
      "seed": 257021706,
      "version": 277,
      "versionNonce": 2062905302,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "zgw7-6EYNHhhirM97mNJK",
          "type": "text"
        },
        {
          "id": "b7xMqj-I3XWzLavC-n2U1",
          "type": "arrow"
        }
      ],
      "updated": 1762098286495,
      "link": null,
      "locked": false
    },
    {
      "id": "zgw7-6EYNHhhirM97mNJK",
      "type": "text",
      "x": 290.86771453372967,
      "y": 378.01388888888937,
      "width": 71.58203125,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aE",
      "roundness": null,
      "seed": 30827978,
      "version": 259,
      "versionNonce": 1048075466,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098252186,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "QiqaY37y5UI7m8GKZbOJz",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "5t8sV19HxHPhq3AQ-YUFs",
      "type": "rectangle",
      "x": 152.90873015872967,
      "y": 801.5138888888894,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aF",
      "roundness": {
        "type": 3
      },
      "seed": 979049610,
      "version": 256,
      "versionNonce": 1777394390,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "EpCIiTxugKOPuCj5yov22",
          "type": "text"
        }
      ],
      "updated": 1762098252159,
      "link": null,
      "locked": false
    },
    {
      "id": "EpCIiTxugKOPuCj5yov22",
      "type": "text",
      "x": 290.86771453372967,
      "y": 838.0138888888894,
      "width": 71.58203125,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aG",
      "roundness": null,
      "seed": 1452997450,
      "version": 239,
      "versionNonce": 497431434,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098252187,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "5t8sV19HxHPhq3AQ-YUFs",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "jqUdkS10iVLuVqEOB5o2Q",
      "type": "arrow",
      "x": 326.55873015872965,
      "y": 1114.5138888888894,
      "width": 0,
      "height": 95,
      "angle": 0,
      "strokeColor": "#f08c00",
      "backgroundColor": "#f783ac",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aH",
      "roundness": null,
      "seed": 82903562,
      "version": 102,
      "versionNonce": 381294614,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098252159,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -95
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "5qvhimBGNAS0dObYhJl01",
        "fixedPoint": [
          0.4997122302158273,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "V_tcY4rqUAnw8ygNA2fAW",
        "fixedPoint": [
          0.4997122302158273,
          1.0510204081632657
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "87iMYtoLC99Lz-Nd7gDEL",
      "type": "text",
      "x": 270.04096542857155,
      "y": 1418.8869047619053,
      "width": 110,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aI",
      "roundness": null,
      "seed": 1884827850,
      "version": 33,
      "versionNonce": 1537449034,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098252159,
      "link": null,
      "locked": false,
      "text": "Encoder In",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Encoder In",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "M2XHLeHYwn5w7agg7xTDN",
      "type": "rectangle",
      "x": 152.39306271428558,
      "y": 152.08531720634915,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#c2255c",
      "backgroundColor": "#f783ac",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aJ",
      "roundness": {
        "type": 3
      },
      "seed": 1923748950,
      "version": 523,
      "versionNonce": 62578326,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "JqDHqJxtOwIKuknhxWbNE",
          "type": "text"
        },
        {
          "id": "PMutXZCpM6qfu_lGIf26k",
          "type": "arrow"
        },
        {
          "id": "b7xMqj-I3XWzLavC-n2U1",
          "type": "arrow"
        }
      ],
      "updated": 1762098309657,
      "link": null,
      "locked": false
    },
    {
      "id": "JqDHqJxtOwIKuknhxWbNE",
      "type": "text",
      "x": 265.6430627142856,
      "y": 188.58531720634915,
      "width": 121,
      "height": 25,
      "angle": 0,
      "strokeColor": "#c2255c",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aK",
      "roundness": null,
      "seed": 1683036566,
      "version": 507,
      "versionNonce": 625908694,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098309657,
      "link": null,
      "locked": false,
      "text": "De-Embedder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "M2XHLeHYwn5w7agg7xTDN",
      "originalText": "De-Embedder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "6EPdPdGOE7koAHeLlLI2B",
      "type": "ellipse",
      "x": 280.99055742857144,
      "y": -29.914682793650854,
      "width": 89,
      "height": 89,
      "angle": 0,
      "strokeColor": "#e8590c",
      "backgroundColor": "#fd7e14",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aL",
      "roundness": {
        "type": 2
      },
      "seed": 761624278,
      "version": 442,
      "versionNonce": 935584662,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "PMutXZCpM6qfu_lGIf26k",
          "type": "arrow"
        }
      ],
      "updated": 1762098309657,
      "link": null,
      "locked": false
    },
    {
      "id": "PMutXZCpM6qfu_lGIf26k",
      "type": "arrow",
      "x": 326.04306271428567,
      "y": 147.08531720634915,
      "width": 0.6525052857141418,
      "height": 83,
      "angle": 0,
      "strokeColor": "#c2255c",
      "backgroundColor": "#fd7e14",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aM",
      "roundness": null,
      "seed": 645671958,
      "version": 561,
      "versionNonce": 524580374,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098309658,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -0.6525052857141418,
          -83
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "M2XHLeHYwn5w7agg7xTDN",
        "fixedPoint": [
          0.4997122302158276,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "6EPdPdGOE7koAHeLlLI2B",
        "fixedPoint": [
          0.49887640449438303,
          1.0561797752808988
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "r7tg9O899MJoqueLY3xTa",
      "type": "text",
      "x": 240.88871698412748,
      "y": -77.44246092063497,
      "width": 165,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e8590c",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aN",
      "roundness": null,
      "seed": 1300904278,
      "version": 177,
      "versionNonce": 1522090838,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098309658,
      "link": null,
      "locked": false,
      "text": "Transformer Out",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Transformer Out",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "b7xMqj-I3XWzLavC-n2U1",
      "type": "arrow",
      "x": 326.55873015872965,
      "y": 336.51388888888937,
      "width": 0.515667444444091,
      "height": 81.42857168254025,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aO",
      "roundness": null,
      "seed": 2076149002,
      "version": 112,
      "versionNonce": 523116118,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762098309657,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -0.515667444444091,
          -81.42857168254025
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "QiqaY37y5UI7m8GKZbOJz",
        "fixedPoint": [
          0.4997122302158273,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "M2XHLeHYwn5w7agg7xTDN",
        "fixedPoint": [
          0.4997122302158273,
          1.0510204081632653
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "EidZlkeC3Uh01ts6Am0YC",
      "type": "text",
      "x": 124.05726905468725,
      "y": -207.48611228571417,
      "width": 407.31403459821456,
      "height": 77.1428571428572,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aP",
      "roundness": null,
      "seed": 1275443990,
      "version": 88,
      "versionNonce": 1240103126,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762098332925,
      "link": null,
      "locked": false,
      "text": "Encoder Only",
      "fontSize": 61.71428571428575,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Encoder Only",
      "autoResize": true,
      "lineHeight": 1.25
    }
  ],
  "appState": {
    "gridSize": 20,
    "gridStep": 5,
    "gridModeEnabled": false,
    "viewBackgroundColor": "#ffffff"
  },
  "files": {}
}